#ifndef CNumRangeEdit_h
#define CNumRangeEdit_h 1



#include "CNumEdit.h"
//	Edit that has upper and lower limits and data values can
//	wrap around.
class CNumRangeEdit : public CNumEdit  
{
  
	DECLARE_DYNAMIC(CNumRangeEdit )
  

  public:
      //	constructor
      CNumRangeEdit ();

    //	get maximum limit
      float GetMax ();

      //	get minimum limit
      float GetMin ();

      void SetRange (float min, float max);

      //	set value in edit control, the input is validated before
      //	inserted
      virtual void SetValue (float x);

      //	sets wrap to true or false. mostly used with spinner.
      void SetWrap (bool wrap);

  protected:

      //	check to see that we only inpu x digits after zero.
      virtual bool CheckInput (UINT nChar);

    // Data Members for Class Attributes


      float m_max;
      float m_min;
 	  //{{AFX_MSG(CNumRangeEdit)
	  //}}AFX_MSG
	  DECLARE_MESSAGE_MAP()

  private:
    // Data Members for Class Attributes
	  
      bool m_wrap;
};

#endif
