// editDlg.cpp : implementation file
// standard mfc dialog class.

#include "stdafx.h"
#include "editDlg.h"
#include "CSpin.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditDlg dialog

CEditDlg::CEditDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEditDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CEditDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEditDlg, CDialog)
	//{{AFX_MSG_MAP(CEditDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CREATE()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditDlg message handlers

BOOL CEditDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CEditDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

HCURSOR CEditDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



int CEditDlg::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	m_font.CreatePointFont(120,"Comic Sans Serif");
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	// create the simpel floting point edit
	m_NumEdit	  .Create(WS_CHILD|WS_VISIBLE|WS_TABSTOP|WS_CLIPSIBLINGS|ES_RIGHT,CRect(0,0,100,100),this,1);
	m_NumEdit.SetFont(&m_font);
	m_NumEdit.SetDigits(3);
	

	m_NumRangeEdit.Create(WS_CHILD|WS_VISIBLE|WS_TABSTOP|WS_CLIPSIBLINGS|ES_RIGHT,CRect(0,0,100,100),this,2);
	m_NumRangeEdit.SetFont(&m_font);
	m_NumRangeEdit.SetDigits(2);
	m_NumRangeEdit.SetRange(-1.2f,14.23 );
	
	
	m_CNumSpinEdit.Create(NULL,"",WS_CHILD|WS_VISIBLE|WS_TABSTOP|WS_CLIPSIBLINGS,CRect(0,0,100,100),this,3);;
	m_CNumSpinEdit.SetFont(&m_font); // set font
	m_CNumSpinEdit.SetDigits(2);	// set number of trailing digits
	m_CNumSpinEdit.SetRange(-100.2f,4,true);	// set range, min, max, wrap around at ends 
	m_CNumSpinEdit.SetStepSize (0.33f);// set min step size /deltea
	m_CNumSpinEdit.SetTextColor (255,0,0); // set texty color - usefull near limits.
		
	return 0;
}

void CEditDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	
	m_NumEdit.MoveWindow(0,0,80,20);
	m_NumRangeEdit.MoveWindow(0,21,80,20);
	m_CNumSpinEdit.MoveWindow(0,42,80,20);
}
